# Generated by Django 3.2.4 on 2021-07-10 14:19

from django.db import migrations, models
import jsonfield.fields
import shortuuidfield.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='IsolationPointInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('point_id', shortuuidfield.fields.ShortUUIDField(blank=True, db_index=True, editable=False, help_text='隔离点唯一标识', max_length=22, null=True, unique=True)),
                ('point_name', models.CharField(blank=True, help_text='隔离点名称', max_length=255, null=True, verbose_name='point_name')),
                ('point_measure_window', jsonfield.fields.JSONField(blank=True, default=[], help_text='隔离点测温时间段', null=True, verbose_name='point_measure_window')),
            ],
            options={
                'verbose_name': '隔离点信息',
                'verbose_name_plural': '隔离点信息',
            },
        ),
        migrations.CreateModel(
            name='ThermometerEquipmentInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('eqpt_id', shortuuidfield.fields.ShortUUIDField(blank=True, db_index=True, editable=False, help_text='设备唯一标识', max_length=22, null=True, unique=True)),
                ('point_id', models.CharField(blank=True, db_index=True, help_text='隔离点唯一标识', max_length=32, null=True, verbose_name='point_id')),
                ('macid', models.CharField(blank=True, help_text='设备号', max_length=32, null=True, verbose_name='macid')),
                ('sn', models.CharField(blank=True, help_text='序列号', max_length=32, null=True, verbose_name='sn')),
                ('active_status', models.IntegerField(choices=[(1, '已激活'), (0, '已离线')], default=0, help_text='激活状态', verbose_name='active_status')),
                ('active_at', models.DateTimeField(blank=True, help_text='激活时间', null=True, verbose_name='active_at')),
                ('name', models.CharField(blank=True, help_text='用户姓名', max_length=255, null=True, verbose_name='name')),
                ('sex', models.IntegerField(choices=[(0, '未知'), (1, '男'), (2, '女')], default=0, help_text='用户性别', verbose_name='sex')),
                ('age', models.IntegerField(default=0, help_text='用户年龄', verbose_name='age')),
                ('phone', models.CharField(blank=True, db_index=True, help_text='用户电话', max_length=11, null=True, verbose_name='phone')),
                ('remark', models.CharField(blank=True, help_text='备注', max_length=255, null=True, verbose_name='remark')),
                ('last_submit_at', models.DateTimeField(blank=True, help_text='上一次上报时间', null=True, verbose_name='last_submit_at')),
            ],
            options={
                'verbose_name': '测温设备信息',
                'verbose_name_plural': '测温设备信息',
            },
        ),
        migrations.CreateModel(
            name='ThermometerMeasureLogInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('point_id', models.CharField(blank=True, db_index=True, help_text='隔离点唯一标识', max_length=32, null=True, verbose_name='point_id')),
                ('macid', models.CharField(blank=True, help_text='设备号', max_length=32, null=True, verbose_name='macid')),
                ('sn', models.CharField(blank=True, help_text='序列号', max_length=32, null=True, verbose_name='sn')),
                ('temperature', models.FloatField(default=0, help_text='用户体温', verbose_name='temperature')),
            ],
            options={
                'verbose_name': '测温记录信息',
                'verbose_name_plural': '测温记录信息',
            },
        ),
        migrations.CreateModel(
            name='ThermometerMeasureInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('point_id', models.CharField(blank=True, db_index=True, help_text='隔离点唯一标识', max_length=32, null=True, verbose_name='point_id')),
                ('point_measure_ymd', models.CharField(blank=True, db_index=True, help_text='隔离点测温日期', max_length=10, null=True, verbose_name='point_measure_ymd')),
                ('point_measure_window', models.CharField(blank=True, db_index=True, help_text='隔离点测温时间段', max_length=16, null=True, verbose_name='point_measure_window')),
                ('macid', models.CharField(blank=True, help_text='设备号', max_length=32, null=True, verbose_name='macid')),
                ('sn', models.CharField(blank=True, help_text='序列号', max_length=32, null=True, verbose_name='sn')),
                ('temperature', models.FloatField(default=0, help_text='用户体温', verbose_name='temperature')),
            ],
            options={
                'verbose_name': '测温信息',
                'verbose_name_plural': '测温信息',
                'unique_together': {('point_id', 'point_measure_ymd', 'point_measure_window', 'macid')},
            },
        ),
    ]
